at.chipkarte.client.fus.soap

## Class EKVDaten

- Object
- - at.chipkarte.client.fus.soap.EKVDaten

-     public class EKVDaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für das EKV Formular.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EKVDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGeburtsdatum()` 5 Geburtsdatum.
    `String` | `getGeschlecht()` Code des Geschlechts des Patienten.
    `String` | `getKarteAblaufdatum()` 9 Ablaufdatum der Karte.
    `String` | `getKarteKennnummer()` 8 Kennnummer der Karte.
    `String` | `getKvtAkronym()` Akronym des Trägers.
    `String` | `getKvtKennnummer()` 7 Kennnummer des Trägers.
    `String` | `getName()` 3 Name.
    `String` | `getPersoenlicheKennnummer()` 6 persönliche Kennnummer.
    `String` | `getStaat()` Staatencode.
    `String` | `getVorname()` 4 Vorname.
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setKarteAblaufdatum(String karteAblaufdatum)`
    `void` | `setKarteKennnummer(String karteKennnummer)`
    `void` | `setKvtAkronym(String kvtAkronym)`
    `void` | `setKvtKennnummer(String kvtKennnummer)`
    `void` | `setName(String name)`
    `void` | `setPersoenlicheKennnummer(String persoenlicheKennnummer)`
    `void` | `setStaat(String staat)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EKVDaten

          public EKVDaten()

  - ### Method Detail

    - #### getName

          public String getName()

      3 Name. Feld 3 der EKV-Karte - (Nach)Name des Patienten.
      Angabe: Muss.
      Format: min. 2 stellig, max. 40 stellig.
      Returns:
        name.

    - #### setName

          public void setName(String name)

    - #### getVorname

          public String getVorname()

      4 Vorname. Feld 4 der EKV-Karte - Vorname des Patienten.
      Angabe: Muss.
      Format: min. 2 stellig, max. 35 stellig.
      Returns:
        vorname.

    - #### setVorname

          public void setVorname(String vorname)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      5 Geburtsdatum. Feld 5 der EKV-Karte - Geburstsdatum des Patienten.
      Angabe: Kann.
      Format: TT.MM.JJJJ.
      Wertebereich: Darf nicht in der Zukunft liegen.
      Returns:
        geburtsdatum.

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getPersoenlicheKennnummer

          public String getPersoenlicheKennnummer()

      6 persönliche Kennnummer. Feld 6 der EKV-Karte - persönliche Kennnummer des Patienten.
      Angabe: Kann.
      Format: max. 20 stellig.
      Returns:
        persoenlicheKennnummer.

    - #### setPersoenlicheKennnummer

          public void setPersoenlicheKennnummer(String persoenlicheKennnummer)

    - #### getKvtKennnummer

          public String getKvtKennnummer()

      7 Kennnummer des Trägers. Feld 7 (Teil1) der EKV-Karte - Kennnummer des Trägers des Patienten.
      Angabe: Kann.
      Format: min. 4 stellig, max. 10 stellig.
      Returns:
        kvtKennnummer.

    - #### setKvtKennnummer

          public void setKvtKennnummer(String kvtKennnummer)

    - #### getKvtAkronym

          public String getKvtAkronym()

      Akronym des Trägers. Feld 7 (Teil2) der EKV-Karte - Akronym des Trägers des Patienten.
      Angabe: Kann.
      Format: max. 21 stellig.
      Returns:
        kvtAkronym.

    - #### setKvtAkronym

          public void setKvtAkronym(String kvtAkronym)

    - #### getKarteKennnummer

          public String getKarteKennnummer()

      8 Kennnummer der Karte. Feld 8 der EKV-Karte - Kennnummer der Karte des Patienten.
      Angabe: Kann.
      Format: genau 20 stellig.
      Returns:
        karteKennnummer.

    - #### setKarteKennnummer

          public void setKarteKennnummer(String karteKennnummer)

    - #### getKarteAblaufdatum

          public String getKarteAblaufdatum()

      9 Ablaufdatum der Karte. Feld 9 der EKV-Karte - Ablaufdatum der Karte des Patienten.
      Angabe: Kann.
      Format: TT.MM.JJJJ.
      Returns:
        karteAblaufdatum.

    - #### setKarteAblaufdatum

          public void setKarteAblaufdatum(String karteAblaufdatum)

    - #### getGeschlecht

          public String getGeschlecht()

      Code des Geschlechts des Patienten.
      Angabe: Kann.
      Mögliche Werte siehe `Geschlechtscodes`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Returns:
        geschlecht.

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### getStaat

          public String getStaat()

      Staatencode. Staatencode der EKV-Karte.
      Angabe: Kann.
      Format: genau 2 stellig, erlaubte Werte: a-z/A-Z.
      Returns:
        staat.

    - #### setStaat

          public void setStaat(String staat)